Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.context.exe.converter
Class BytesToByteArrayConverter

    java.lang.Object
      org.jbpm.context.exe.converter.BytesToByteArrayConverter

All Implemented Interfaces:
  java.io.Serializable, Converter

    public class BytesToByteArrayConverter

extends java.lang.Object
implements Converter

See Also:
  Serialized Form

Constructor Summary
`BytesToByteArrayConverter()`

Method Summary
`java.lang.Object` | `convert(java.lang.Object o)` converts a given object to its persistable format.
`java.lang.Object` | `revert(java.lang.Object o)` reverts a persisted object to its original form.
`boolean` | `supports(java.lang.Object value)` is true if this converter supports the given type, false otherwise.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BytesToByteArrayConverter

    public BytesToByteArrayConverter()

Method Detail

### supports

    public boolean supports(java.lang.Object value)

  Description copied from interface: `Converter`
  is true if this converter supports the given type, false otherwise.

  Specified by:
    `supports` in interface `Converter`

### convert

    public java.lang.Object convert(java.lang.Object o)

  Description copied from interface: `Converter`
  converts a given object to its persistable format.

  Specified by:
    `convert` in interface `Converter`

### revert

    public java.lang.Object revert(java.lang.Object o)

  Description copied from interface: `Converter`
  reverts a persisted object to its original form.

  Specified by:
    `revert` in interface `Converter`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD